Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Interface ResourceFactory

    public interface ResourceFactory

Author:
  Nick Belaevski

Field Summary
`static String` | `DYNAMIC_RESOURCE_MAPPINGS`
`static String` | `SKINNED_RESOURCE_PLACEHOLDER`
`static String` | `SKINNED_RESOURCE_PREFIX`

Method Summary
`javax.faces.application.Resource` | `createResource(javax.faces.context.FacesContext context, ResourceRequestData resourceData)`
`javax.faces.application.Resource` | `createResource(String resourceName, String libraryName, String contentType)`
`Collection<ResourceKey>` | `getMappedDynamicResourceKeys()`

Field Detail

### DYNAMIC_RESOURCE_MAPPINGS

    static final String DYNAMIC_RESOURCE_MAPPINGS

See Also:
  Constant Field Values

### SKINNED_RESOURCE_PLACEHOLDER

    static final String SKINNED_RESOURCE_PLACEHOLDER

See Also:
  Constant Field Values

### SKINNED_RESOURCE_PREFIX

    static final String SKINNED_RESOURCE_PREFIX

See Also:
  Constant Field Values

Method Detail

### getMappedDynamicResourceKeys

    Collection<ResourceKey> getMappedDynamicResourceKeys()

### createResource

    javax.faces.application.Resource createResource(String resourceName,
                                                    String libraryName,
                                                    String contentType)

### createResource

    javax.faces.application.Resource createResource(javax.faces.context.FacesContext context,
                                                    ResourceRequestData resourceData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.